Bug 823054 - Review Request: php-symfony2-HttpFoundation - Symfony2 HttpFoundation Component
Summary: Review Request: php-symfony2-HttpFoundation - Symfony2 HttpFoundation Component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-channel-symfony2
Blocks: 823066 823071 823073 823075
TreeView+ depends on / blocked
 
Reported: 2012-05-18 21:36 UTC by Shawn Iwinski
Modified: 2012-07-03 19:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-26 21:31:12 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
php-symfony2-HttpFoundation-review.txt (8.98 KB, text/plain)
2012-06-10 07:24 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2012-05-18 21:36:17 UTC
Spec URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-HttpFoundation.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-HttpFoundation-2.0.14-1.fc16.src.rpm

Description:
The HttpFoundation Component defines an object-oriented layer for the HTTP
specification.

Comment 1 Shawn Iwinski 2012-05-20 17:58:13 UTC
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-date, php-fileinfo, php-hash, php-pcre, php-session, php-sockets,
  php-spl
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-HttpFoundation.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-HttpFoundation-2.0.14-2.fc16.src.rpm

Comment 3 Shawn Iwinski 2012-05-31 17:25:40 UTC
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-HttpFoundation.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-HttpFoundation-2.0.15-1.fc16.src.rpm

Comment 4 Remi Collet 2012-06-10 07:24:54 UTC
Created attachment 590698 [details]
php-symfony2-HttpFoundation-review.txt

Generated by fedora-review 0.1.3

Comment 5 Remi Collet 2012-06-10 07:27:49 UTC
In Symfony\Component\HttpFoundation\SessionStorage\PdoSessionStorage

public function __construct(\PDO $db, array $options = array(), array $dbOptions = array())

You, you need to add "php-do" in dependency list

(this is not detected by phpci, I will report a bug upstream)

Comment 6 Shawn Iwinski 2012-06-11 04:39:32 UTC
(In reply to comment #5)
> You, you need to add "php-do" in dependency list

Thanks Remi. I will add the "php-pdo" require after the approved import.

Comment 7 Shawn Iwinski 2012-06-11 04:42:24 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > You, you need to add "php-do" in dependency list
> 
> Thanks Remi. I will add the "php-pdo" require after the approved import.

Never mind! This package is not approved yet.  I will make the change and post the new spec and SRPM.

Comment 8 Remi Collet 2012-06-11 05:40:27 UTC
Small note: 

Extension dependencies should be described in the package.xml 
You can report this to upstream with the result of your analysis.

ex :
 <dependencies>
  <required>
   <extension>
    <name>spl</name>
   </extension>
  </required>
  <optional>
   <extension>
    <name>tokenizer</name>
   </extension>
  </optional>
 </dependencies>

pear make-rpm-spec doesn't handle this for now... one more think in my TODO list...

Comment 9 Shawn Iwinski 2012-06-12 03:21:13 UTC
(In reply to comment #8)
> Extension dependencies should be described in the package.xml 
> You can report this to upstream with the result of your analysis.

Thanks Remi.  I will work with upstream on this.

Comment 11 Remi Collet 2012-06-12 16:12:19 UTC
$ diff  php-symfony2-HttpFoundation.spec.1 php-symfony2-HttpFoundation.spec
7c7
< Release:          1%{?dist}
---
> Release:          2%{?dist}
23a24
> Requires:         php-pdo
88a90,92
> * Mon Jun 11 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 2.0.15-2
> - Added php-pdo require


Blocker fixed

== Approved ==

Comment 12 Shawn Iwinski 2012-06-12 16:56:17 UTC
New Package SCM Request
=======================
Package Name: php-symfony2-HttpFoundation
Short Description: Symfony2 HttpFoundation Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:

Comment 13 Gwyn Ciesla 2012-06-12 18:45:48 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-06-13 05:39:39 UTC
php-symfony2-HttpFoundation-2.0.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-HttpFoundation-2.0.15-2.fc17

Comment 15 Fedora Update System 2012-06-13 05:39:49 UTC
php-symfony2-HttpFoundation-2.0.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-HttpFoundation-2.0.15-2.fc16

Comment 16 Fedora Update System 2012-06-13 05:39:59 UTC
php-symfony2-HttpFoundation-2.0.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-HttpFoundation-2.0.15-2.el6

Comment 17 Fedora Update System 2012-06-15 00:24:18 UTC
php-symfony2-HttpFoundation-2.0.15-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 18 Fedora Update System 2012-06-26 21:31:12 UTC
php-symfony2-HttpFoundation-2.0.15-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 19 Fedora Update System 2012-06-26 21:38:03 UTC
php-symfony2-HttpFoundation-2.0.15-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 20 Fedora Update System 2012-07-03 19:36:11 UTC
php-symfony2-HttpFoundation-2.0.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.